WingzGraph Class Reference

the main class to read the graphic part of a Claris Resolve/Wingz file More...

`#include <WingzGraph.hxx>`

## Public Member Functions

| WingzGraph (WingzParser &parser)
| constructor
virtual | ~WingzGraph ()
| destructor
int | version () const
| returns the file version

## Protected Member Functions

bool | sendPageGraphics ()
| try to send the page graphic
bool | readGraphic ()
| read a graphic zone: 0xe
bool | readEndGroup ()
| read a end group zone: 0xf
bool | readTextZone (std::shared_ptr< WingzGraphInternal::Graphic > graphic)
| read a text zone or a button zone ( some graphic zone)
bool | readChartData (std::shared_ptr< WingzGraphInternal::Graphic > graphic)
| read a chart
bool | readPattern (MWAWGraphicStyle::Pattern &pattern, int &patId)
| read a pattern
bool | readColor (MWAWColor &color, int &patId)
| read a color: front color, patId, background color
bool | sendGraphic (WingzGraphInternal::Graphic const &graphic, MWAWPosition const &pos)
| try to send a generic graphic
bool | sendShape (WingzGraphInternal::Graphic const &graphic, MWAWPosition const &pos)
| try to send a shape graphic
bool | sendPicture (WingzGraphInternal::Graphic const &graphic, MWAWPosition const &pos)
| try to send a picture graphic
bool | sendText (WingzGraphInternal::Graphic const &graphic)
| try to send the content of a textbox/button

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< WingzGraphInternal::State > | m_state
| the state
WingzParser * | m_mainParser
| the main parser;

## Private Member Functions

| WingzGraph (WingzGraph const &orig)=delete
WingzGraph & | operator= (WingzGraph const &orig)=delete

## Friends

class | WingzParser
class | WingzGraphInternal::SubDocument

## Detailed Description

the main class to read the graphic part of a Claris Resolve/Wingz file

## Constructor & Destructor Documentation

## WingzGraph() [1/2]

WingzGraph::WingzGraph | ( | WingzParser & | parser | ) |

explicit

constructor

Referenced by operator=(), and WingzGraph().

## ~WingzGraph()

WingzGraph::~WingzGraph | ( |  | ) |

virtual

destructor

## WingzGraph() [2/2]

WingzGraph::WingzGraph | ( | WingzGraph const & | orig | ) |

private delete

## Member Function Documentation

## operator=()

WingzGraph & WingzGraph::operator= | ( | WingzGraph const & | orig | ) |

private delete

## readChartData()

bool WingzGraph::readChartData | ( | std::shared_ptr< WingzGraphInternal::Graphic > | graphic | ) |

protected

read a chart

Referenced by readGraphic().

## readColor()

bool WingzGraph::readColor | ( | MWAWColor & | color,
|  | int & | patId )

protected

read a color: front color, patId, background color

Referenced by readChartData(), readGraphic(), and readTextZone().

## readEndGroup()

bool WingzGraph::readEndGroup | ( |  | ) |

protected

read a end group zone: 0xf

## readGraphic()

bool WingzGraph::readGraphic | ( |  | ) |

protected

read a graphic zone: 0xe

## readPattern()

bool WingzGraph::readPattern | ( | MWAWGraphicStyle::Pattern & | pattern,
|  | int & | patId )

protected

read a pattern

Referenced by readColor(), and readGraphic().

## readTextZone()

bool WingzGraph::readTextZone | ( | std::shared_ptr< WingzGraphInternal::Graphic > | graphic | ) |

protected

read a text zone or a button zone ( some graphic zone)

Referenced by readGraphic().

## sendGraphic()

bool WingzGraph::sendGraphic | ( | WingzGraphInternal::Graphic const & | graphic,
|  | MWAWPosition const & | pos )

protected

try to send a generic graphic

Referenced by sendGraphic(), and sendPageGraphics().

## sendPageGraphics()

bool WingzGraph::sendPageGraphics | ( |  | ) |

protected

try to send the page graphic

## sendPicture()

bool WingzGraph::sendPicture | ( | WingzGraphInternal::Graphic const & | graphic,
|  | MWAWPosition const & | pos )

protected

try to send a picture graphic

Referenced by sendGraphic().

## sendShape()

bool WingzGraph::sendShape | ( | WingzGraphInternal::Graphic const & | graphic,
|  | MWAWPosition const & | pos )

protected

try to send a shape graphic

Referenced by sendGraphic().

## sendText()

bool WingzGraph::sendText | ( | WingzGraphInternal::Graphic const & | graphic | ) |

protected

try to send the content of a textbox/button

## version()

int WingzGraph::version | ( |  | ) | const

returns the file version

Referenced by readGraphic(), and readPattern().

## Friends And Related Symbol Documentation

## WingzGraphInternal::SubDocument

friend class WingzGraphInternal::SubDocument

friend

## WingzParser

friend class WingzParser

friend

Referenced by WingzGraph(), WingzGraphInternal::SubDocument, and WingzParser.

## Member Data Documentation

## m_mainParser

WingzParser* WingzGraph::m_mainParser

protected

the main parser;

Referenced by readChartData(), readGraphic(), readTextZone(), sendGraphic(), and WingzGraph().

## m_parserState

MWAWParserStatePtr WingzGraph::m_parserState

protected

the parser state

Referenced by readChartData(), readEndGroup(), readGraphic(), readPattern(), readTextZone(), sendGraphic(), sendPageGraphics(), sendPicture(), sendShape(), sendText(), version(), and WingzGraph().

## m_state

std::shared_ptr<WingzGraphInternal::State> WingzGraph::m_state

protected

the state

Referenced by readEndGroup(), readGraphic(), readPattern(), readTextZone(), sendGraphic(), sendPageGraphics(), and WingzGraph().

The documentation for this class was generated from the following files:

- WingzGraph.hxx
- WingzGraph.cxx